- Qt 6.8
- Qt Help
- C++ Classes
- QHelpSearchQueryWidget
- Qt 6.8.0 Reference Documentation

# Obsolete Members for QHelpSearchQueryWidget

The following members of class QHelpSearchQueryWidget are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` QList<QHelpSearchQuery> | query() const
`(deprecated)` void | setQuery(const QList<QHelpSearchQuery> &queryList)

## Member Function Documentation

### `[deprecated]` QList<QHelpSearchQuery> QHelpSearchQueryWidget::query() const

This function is deprecated. We strongly advise against using it in new code.

Use searchInput() instead.

See also setQuery().

### `[deprecated]` void QHelpSearchQueryWidget::setQuery(const QList<QHelpSearchQuery> &queryList)

This function is deprecated. We strongly advise against using it in new code.

Use setSearchInput() instead.

See also query().